ServerEvents.recipes(event => {
    //伺服器
    event.remove({ output: 'thermal:servo_attachment' })
    event.shaped(
        Item.of('thermal:servo_attachment', 4), [
        '   ',
        'ABA',
        'CDC'
    ],
        {
            A: 'thermal:tin_nugget',
            B: '#forge:glass',
            C: 'minecraft:iron_ingot',
            D: 'create:precision_mechanism'
        }
    )
    //机器框架
    event.remove({ output: 'thermal:machine_frame' })
    event.shaped(
        Item.of('thermal:machine_frame'), [
        'ABA',
        'CDC',
        'EBE'
    ],
        {
            A: 'botania:elementium_block',
            B: 'create_sa:heat_engine',
            C: 'tfmg:turbine_engine',
            D: 'ae2:mysterious_cube',
            E:'tfmg:rebar_concrete'
        }
    )
    //冲压机
    event.replaceInput([{ output: 'thermal:machine_press'}],'minecraft:iron_block','create:mechanical_press')
    event.replaceInput([{ output: 'thermal:machine_press'}],'thermal:bronze_ingot','createaddition:electrum_spool')
    //红石通量线圈
    event.replaceInput([{ output: 'thermal:rf_coil'}],'minecraft:gold_ingot','thermal:lumium_ingot')
    //树脂提取机
    event.replaceInput([{ output: 'thermal:device_tree_extractor'}],'#forge:glass','#thermal:glass/hardened')
    //流体单元框架
    event.remove({ output: 'thermal:fluid_cell_frame' })
    event.shaped(
        Item.of('thermal:fluid_cell_frame'), [
        'ABA',
        'CDC',
        'ABA'
    ],
        {
            A: 'minecraft:copper_ingot',
            B: 'thermal:cured_rubber',
            C: '#thermal:glass/hardened',
            D: 'create:fluid_tank'
        }
    )
    //流体精炼机
    event.replaceInput([{ output: 'thermal:machine_refinery'}],'#forge:glass','thermal:fluid_cell_frame')
    //红石通量单元
    event.remove({ output: 'thermal:energy_cell_frame' })
    event.shaped(
        Item.of('thermal:energy_cell_frame'), [
        'ABA',
        'CDC',
        'ABA'
    ],
        {
            A: 'kubejs:colorless_compound',
            B: 'thermal:rosin',
            C: '#thermal:glass/hardened',
            D: 'thermal:electrum_gear'
        }
    )
    //热解炉
    event.replaceInput([{ output: 'thermal:machine_pyrolyzer'}],'minecraft:blaze_rod','thermal:energy_cell')
    //结晶器
    event.replaceInput([{ output: 'thermal:machine_crystallizer'}],'#thermal:glass/hardened','thermal:energy_cell')
    event.replaceInput([{ output: 'thermal:machine_crystallizer'}],'thermal:signalum_plate','thermal:rosin')
    //离心机
    event.replaceInput([{ output: 'thermal:machine_centrifuge'}],'thermal:tin_ingot','mythicbotany:alfsteel_ingot')
})